Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
RunRecoveryException Members
RunRecoveryException Class Constructors Methods Fields Properties See Also Send Feedback

The RunRecoveryException type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| RunRecoveryException | Initialize a new instance of the RunRecoveryException

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetBaseException | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions. (Inherited from Exception.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetObjectData | When overridden in a derived class, sets the SerializationInfo with information about the exception. (Inherited from Exception.)
| GetType | Gets the runtime type of the current instance. (Inherited from Exception.)
| ToString | Creates and returns a string representation of the current exception. (Inherited from Exception.)

# Fields

| Name | Description
--- | --- | ---
| ErrorCode | The underlying error code from the Berkeley DB C library. (Inherited from DatabaseException.)

# Properties

| Name | Description
--- | --- | ---
| Data | Gets a collection of key/value pairs that provide additional user-defined information about the exception. (Inherited from Exception.)
| HelpLink | Gets or sets a link to the help file associated with this exception. (Inherited from Exception.)
| InnerException | Gets the Exception instance that caused the current exception. (Inherited from Exception.)
| Message | Gets a message that describes the current exception. (Inherited from Exception.)
| Source | Gets or sets the name of the application or the object that causes the error. (Inherited from Exception.)
| StackTrace | Gets a string representation of the frames on the call stack at the time the current exception was thrown. (Inherited from Exception.)
| TargetSite | Gets the method that throws the current exception. (Inherited from Exception.)

# See Also

RunRecoveryException Class
BerkeleyDB Namespace